Pulse API
  1. Mortgage
Pulse API
  • Introduction
    • Introduction
    • Getting Started
    • Basic concepts
  • Services
    • Backoffice
      • Authentication
        • Generate Access Token
        • Generate Refresh Token
      • Authorization
        • Rotate Key (User)
        • Register Application
        • List (Application)
        • Rotate Key (Application)
        • Revoke Key (Application)
        • Activate Key (Application)
      • Usage
        • Check limits
        • Check usage
    • Domains
      • Valuation
        • Valuation
      • Indicators
        • Indicators
      • Cadastral
        • Cadastral by portal id
        • Cadastral by Reference
      • Comparables
        • Search comparables
      • Mortgage
        • Pre-approval
          GET
      • Location
        • Suggest cadastral
  1. Mortgage

Pre-approval

GET
/api/integration/v1/mortgage/basic
This endpoint retrieves a comprehensive set of KPIs and property-related data associated with a specific cadastral reference. The returned information enables automated evaluation of whether the asset meets the eligibility criteria for preliminary mortgage approval.

Request

Authorization
API Key
Add parameter in header
Authorization
Example:
Authorization: ********************
or
Query Params

Responses

🟢200OK
application/json
Body

🟠404Not found
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET 'https://api.urbandataanalytics.com/api/integration/v1/mortgage/basic?reference=1687710VK4718F0081FH' \
--header 'Authorization: <api-key>'
Response Response Example
200 - OK
{
    "avm": {
        "ticket_value": 1416050.0,
        "sqm_value": 7780.494505494506,
        "confidence_score": 4,
        "sqm_p100": 1362977.98,
        "sqm_p90": 1288853.57,
        "sqm_p80": 1214729.15,
        "sqm_p70": 1140604.74,
        "sqm_p60": 1066480.32,
        "sqm_p50": 992355.91,
        "sqm_p40": 918231.5,
        "sqm_p30": 844107.08,
        "sqm_p20": 769982.67,
        "sqm_p10": 695858.25,
        "sqm_p0": 621733.84
    },
    "cee": {
        "flag_cee": true,
        "emissions_rating": "E",
        "consume_rating": "E"
    },
    "risks": {
        "wind": {
            "change_in_wind_patterns": 1,
            "cyclone": 1,
            "snowstorm": 1,
            "duststorm": 2,
            "sandstorm": 2,
            "tornado": 1
        },
        "water": {
            "change_in_precipitation_patterns": 2,
            "precipitation_variability": 1,
            "ocean_acidification": 1,
            "saltwater_intrusion": 1,
            "sea_level_rise": 1,
            "water_stress": 1,
            "drought": 1,
            "extreme_precipitation": 1,
            "flooding": 1,
            "groundwater_flooding": 1
        },
        "heat": {
            "changes_in_air_temperature": 2,
            "changes_in_freshwater_temperature": 1,
            "changes_in_seawater_temperature": 1,
            "heat_stress": 2,
            "temperature_variability": 1,
            "heatwave": 2,
            "cold_wave": 1,
            "wildfires": 1
        },
        "soil": {
            "coastal_erosion": 1,
            "land_degradation": 1,
            "erosion": 1,
            "landslide": 1,
            "subsidence": 2,
            "earthquake": 1,
            "volcanism": 1
        }
    },
    "kpis": {
        "liquidity_4q": 9.0,
        "output_price_1yoy": {
            "admin1_value": 17.84,
            "admin3_value": 15.81,
            "admin4_value": 18.6
        },
        "output_price_3yoy": {
            "admin1_value": 50.61,
            "admin3_value": 59.03,
            "admin4_value": 42.37
        },
        "output_price_5yoy": {
            "admin1_value": 65.68,
            "admin3_value": 70.39,
            "admin4_value": 64.95
        },
        "output_price_10yoy": {
            "admin1_value": null,
            "admin3_value": null,
            "admin4_value": null
        }
    }
}
Modified at 2025-11-26 12:10:20
Previous
Search comparables
Next
Suggest cadastral
Built with